curl --request GET \
--url https://app.tryspecter.com/api/v1/lists/people/{listId}/results \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/lists/people/{listId}/results"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/lists/people/{listId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"person_id": "per_34f8a8ad1f7497b83e821345",
"last_updated": "2026-07-13 17:37:30",
"talent_signal_ids": [
"58323b85-153b-4d3d-8c0c-62dbf41198dc"
],
"investor_signal_ids": [
"0340bac8-bcee-46a2-94bf-cf77e0c34253"
],
"profile_picture_url": "https://peopledb-public.s3.eu-west-2.amazonaws.com/assets/profile-pictures/per_34f8a8ad1f7497b83e821345.jpg",
"first_name": "Cosmin",
"last_name": "Urdea",
"full_name": "Cosmin Urdea",
"linkedin_url": "https://www.linkedin.com/in/cosmin-urdea-0848973",
"linkedin_num_id": 11147428,
"linkedin_urn": "ACoAAEULqT0BasKeraebkQhLfmIwxpxTlNThQjE",
"twitter_url": "https://x.com/moissinac",
"github_url": "https://github.com/sarahchen9776",
"about": "IT Software Consultant / Contractor 20+ years of experience in software development - Systems and Applications Architecture - Product Design / Management - Coach and mentorship Experience in various industries, but mostly in electronic payments. After a full carrier as a full stack developer and, later on, architect, I have decided to put my experience to use from a different perspective as Product Owner/Manager and it has been already 3 years and I am enjoying very much this new role.",
"tagline": "Software Consultant / Contractor",
"location": "Bucharest, București, Romania, Europe",
"region": "Europe",
"highlights": [
"major_tech_experience",
"prior_vc_backed_experience",
"strong_technical_background",
"vc_backed_experience"
],
"level_of_seniority": "Senior Level",
"years_of_experience": 21,
"education_level": "",
"experience": [
{
"company_name": "valantic (vormals mm1)",
"linkedin_url": "https://www.linkedin.com/company/mm1",
"title": "Senior Consultant Fintech & Digital Payment",
"departments": [
"Finance"
],
"start_date": "2025-04-01",
"is_current": true,
"job_order": 13,
"company_id": "6744b47c776432406530a72b",
"domain": "mm1.com",
"description": "As an Implementation Engineer at valantic, I play a pivotal role in the technical execution of Stripe integration projects, ensuring precision, efficiency, and robust infrastructure in every implementation. Leveraging deep technical expertise and payments industry experience, I design and deploy custom payment solutions that enhance operational efficiency and customer satisfaction.",
"company_size": "51-200",
"industry": [
"Financial Services",
"Financial Technology"
],
"tech_verticals": [
[
"Blockchain, Crypto & Web3",
"Crypto Exchanges and Trading Infrastructure"
]
],
"end_date": "2025-03-01",
"location": "Stuttgart, Baden-Wurttemberg, Germany, Europe",
"founded_year": 1997
}
],
"current_position_title": "Senior Consultant Fintech & Digital Payment",
"current_position_company_name": "valantic (vormals mm1)",
"current_position_company_website": "mm1.com",
"past_position_title": "Product Owner (Contracted)",
"past_position_company_name": "Riverty",
"past_position_company_website": "riverty.com",
"current_tenure": 15,
"average_tenure": 22,
"education": [
{
"name": "Stanford University",
"linkedin_url": "https://www.linkedin.com/school/stanford-university",
"field_of_study": "Computer Science (AI track) and Statistics",
"degree_title": "Bachelor of Science - BS",
"description": "<p class=\"show-more-less-text__text--less\">\n Krieger School of Arts and Sciences<br>Bloomberg School of Public Health<br>(joint degree program)\n<!----> </p>",
"start_date": "2024-01-01",
"end_date": "2028-01-01",
"location": "Stanford, California, United States, North America"
}
],
"languages": [
{
"name": "English",
"proficiency_level": "Native Or Bilingual Proficiency"
},
{
"name": "Mandarin Chinese",
"proficiency_level": "Limited Working Proficiency"
}
],
"skills": [
"API Development",
"Agentic AI",
"Agentic Orchestration",
"Algorithmic Trading",
"Algorithms",
"Apache Spark",
"C#",
"C++",
"CORS",
"Communication"
],
"linkedin_followers": 904,
"linkedin_connections": 500
}
]{
"errorCode": "INVALID_LIST_UUID",
"message": "List id must be a valid UUID."
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "OUT_OF_CREDITS",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}Get people list results
Returns the people in a list with detailed profile information for each person.
What you need
A list ID (UUID) reachable from your API key. You need a people list ID. Get one from Get all people lists.
Behaviour
listIdmust be a UUID, otherwise400.- Page through with
pageandlimit. - The list must be reachable from your API key.
What you do next
- Open a single person. Follow a
person_idto Get person by ID. - Get an email. Fetch a verified address with Get person email.
Authorizations
Path Parameters
The ID of the list being requested.
Query Parameters
The number of results to return per page (minimum 1, maximum 5000, default 50).
1 <= x <= 5000The page number of results to return, base 0, default is 0.
Response
The list of people that were found for the query
The Specter person ID for this person, can be used in people endpoints.
"per_34f8a8ad1f7497b83e821345"
A date for when the person was last updated in Specter. Uses the format YYYY-MM-DD HH:MM:SS.
"2026-07-13 17:37:30"
Talent signal IDs for this person. To read the signals themselves, call Get person talent signals rather than resolving these IDs individually.
["58323b85-153b-4d3d-8c0c-62dbf41198dc"]
Investor-interest signal IDs for this person. There is no per-person investor-interest endpoint; read these signals from the by-date feed.
A url for a profile picture if there is one.
"https://peopledb-public.s3.eu-west-2.amazonaws.com/assets/profile-pictures/per_34f8a8ad1f7497b83e821345.jpg"
First name
"Cosmin"
Last Name
"Urdea"
Full name
"Cosmin Urdea"
URL for LinkedIn account.
"https://www.linkedin.com/in/cosmin-urdea-0848973"
The numeric ID for the LinkedIn account.
11147428
The URN from LinkedIn for the account.
"ACoAAEULqT0BasKeraebkQhLfmIwxpxTlNThQjE"
URL for Twitter account.
"https://x.com/moissinac"
URL for Github account.
"https://github.com/sarahchen9776"
A description of the person.
"IT Software Consultant / Contractor 20+ years of experience in software development - Systems and Applications Architecture - Product Design / Management - Coach and mentorship Experience in various industries, but mostly in electronic payments. After a full carrier as a full stack developer and, later on, architect, I have decided to put my experience to use from a different perspective as Product Owner/Manager and it has been already 3 years and I am enjoying very much this new role."
A shorter tagline for the person.
"Software Consultant / Contractor"
Where the person is located.
"Bucharest, București, Romania, Europe"
Main region where the person is located.
"Europe"
Type of highlight, the full list will be added shortly.
[
"major_tech_experience",
"prior_vc_backed_experience",
"strong_technical_background",
"vc_backed_experience"
]
Top level of seniority the person has achieved.
"Senior Level"
Years of experience the person has worked for.
21
Top level of education that the person has.
""
Companies that the person has worked for.
Show child attributes
Show child attributes
Title of the person's current position
"Senior Consultant Fintech & Digital Payment"
Name of the company where the person currently works.
"valantic (vormals mm1)"
Website for the company where the person currently works.
"mm1.com"
Title of the person's last position
"Product Owner (Contracted)"
Name of the company where the person last left.
"Riverty"
Website for the company where the person last left.
"riverty.com"
Length of time the person has been in their current job.
15
Average length of time in a position.
22
Educational background for the person
Show child attributes
Show child attributes
Languages that the person speaks
Show child attributes
Show child attributes
[
{
"name": "English",
"proficiency_level": "Native Or Bilingual Proficiency"
},
{
"name": "Mandarin Chinese",
"proficiency_level": "Limited Working Proficiency"
}
]
List of skills that the person has.
[
"API Development",
"Agentic AI",
"Agentic Orchestration",
"Algorithmic Trading",
"Algorithms",
"Apache Spark",
"C#",
"C++",
"CORS",
"Communication"
]
Number of followers the person has on LinkedIn.
904
Number of connections the person has on LinkedIn.
500
Was this page helpful?